Create Service Proxy Configuration

Create Service Proxy Configuration
Configure HCX Service Proxy

Configures the HCX Service Proxy endpoint for air-gapped or restricted network environments. This proxy endpoint enables communication between the HCX Manager and HCX Cloud services.

Request
URI
POST
https://{server}:9443/api/admin/global/config/serviceProxy
COPY
Request Body
ServiceProxyConfigRequest of type(s) application/json
Required

Show optional properties

{
    "data": {
        "items": [
            {
                "config": {
                    "url": "https://hcx-proxy.customer.com"
                }
            }
        ]
    }
}
{
    "data": {
        "items": [
            {
                "config": {
                    "url": "https://hcx-proxy.customer.com",
                    "UUID": "string"
                }
            }
        ]
    }
}
object
data
Required

data

Authentication
This operation uses the following authentication methods.
Responses
200

Service proxy configured successfully

Returns ServiceProxyGetResponse of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "hcxServiceProxy",
                "config": {
                    "url": "https://hcx-proxy.customer.com",
                    "UUID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
                }
            }
        ]
    }
}
object
data
Optional

data


400

Bad request - invalid URL or configuration

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Invalid service proxy URL. Must be HTTPS.",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


405

Method not allowed - feature only available on HCX-Connector

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "HCX Service Proxy feature is available only for the HCX-Connector.",
    "httpStatusCode": 405
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error while configuring service proxy

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Error configuring service proxy",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"data":"object"}' https://{api_host}/api/admin/global/config/serviceProxy